#
# spec file for package gstreamer-0_10-plugins-base
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define build_v4l 0%{?suse_version} <= 1140

Name:           gstreamer-0_10-plugins-base
%define _name gst-plugins-base
Version:        0.10.36
Release:        9.1
%define gst_branch 0.10
Url:            http://gstreamer.freedesktop.org/
Summary:        GStreamer Streaming-Media Framework Plug-Ins
License:        GPL-2.0+ and LGPL-2.1+
Group:          Productivity/Multimedia/Other
Source:         http://gstreamer.freedesktop.org/src/gst-plugins-base/%{_name}-%{version}.tar.xz
Source2:        baselibs.conf
# PATCH-FIX-UPSTREAM gstreamer-0_10-plugins-base-missing-return-value.patch bgo#670548 vuntz@opensuse.org -- Fix missing return value
Patch0:         gstreamer-0_10-plugins-base-missing-return-value.patch
# PATCH-FIX-UPSTREAM gstreamer-0_10-plugins-base-0.10.36-kde_302652.patch kde#302652 reddwarf@opensuse.org -- Fix problem in Amarok when changing between streams. Gstreamer doesn't seem to care about the 0.10.x branch any more.
Patch1:         gstreamer-0_10-plugins-base-0.10.36-kde_302652.patch
BuildRequires:  alsa-devel
BuildRequires:  cdparanoia-devel
BuildRequires:  check-devel
BuildRequires:  glib2-devel >= 2.24
BuildRequires:  gnome-vfs2-devel
%if 0%{?suse_version} >= 1120
BuildRequires:  gobject-introspection-devel >= 0.9.12
%endif
BuildRequires:  gstreamer-0_10-devel >= 0.10.36
BuildRequires:  gtk-doc
%if 0%{?suse_version} >= 1210
BuildRequires:  gtk3-devel >= 3.0.0
%else
# We have no gtk, but we still want to build the pango, ximagesink and
# xvimagesink plugins
BuildRequires:  cairo-devel
BuildRequires:  pango-devel >= 1.16.0
%endif
BuildRequires:  iso-codes-devel
BuildRequires:  krb5
%if 0%{?suse_version} > 1210
# used by libgstximagesink.so
BuildRequires:  libICE-devel
BuildRequires:  libSM-devel
%endif
%if 0%{?suse_version} > 1110
BuildRequires:  libgudev-1_0-devel
%endif
BuildRequires:  libtheora-devel
%if %{build_v4l}
BuildRequires:  libv4l-devel
%endif
BuildRequires:  libtool
BuildRequires:  libvisual-devel
BuildRequires:  libvorbis-devel
BuildRequires:  orc
BuildRequires:  python-devel
BuildRequires:  sgml-skel
BuildRequires:  translation-update-upstream
BuildRequires:  update-desktop-files
%ifarch %ix86 ppc x86_64
BuildRequires:  valgrind-devel
%endif
%if 0%{?suse_version} <= 1210
BuildRequires:  xz
%endif
BuildRequires:  zlib-devel
%if 0%{?suse_version} >= 1220
BuildRequires:  pkgconfig(xv)
%endif
PreReq:         filesystem
# Core modules may depend on new enough libraries:
Requires:       libgstinterfaces-0_10-0 >= %{version}
%define gstreamer010_plugins_base_req %(xzgrep --text "^GST[_A-Z]*_REQ" %{S:0} | sort -u | sed 's/GST_REQ=/gstreamer-0_10 >= /')
Requires:       %gstreamer010_plugins_base_req
Recommends:     %{name}-lang
Recommends:     PackageKit-gstreamer-plugin
Supplements:    gstreamer-0_10
# For update from <= 11.1 (gstapp):
Conflicts:      gstreamer-0_10-plugins-bad < 0.10.10
# Name up to 10.3:
Provides:       gstreamer010-plugins-base = %{version}
Obsoletes:      gstreamer010-plugins-base < %{version}
# Generic name, never used in SuSE:
Provides:       gst-plugins-base = %{version}
# Nanes of splitted subpackages (<=10.2 and ==SLE10):
Provides:       gstreamer010-plugins-base-oil = %{version}-%{release}
Provides:       gstreamer010-plugins-base-visual = %{version}-%{release}
Obsoletes:      gstreamer010-plugins-base-oil < %{version}-%{release}
Obsoletes:      gstreamer010-plugins-base-visual < %{version}-%{release}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
GStreamer is a streaming media framework based on graphs of filters
that operate on media data. Applications using this library can do
anything media-related, from real-time sound processing to playing
videos. Its plug-in-based architecture means that new data types or
processing capabilities can be added simply by installing new plug-ins.

%package -n gstreamer-0_10-plugin-gnomevfs
Summary:        GStreamer Streaming-Media Framework Plug-Ins -- gnome-vfs plugin
Group:          Productivity/Multimedia/Other
# We want to have base modules installed:
Requires:       %{name}
Supplements:    packageand(%{name}:gnome-vfs2)

%description -n gstreamer-0_10-plugin-gnomevfs
GStreamer is a streaming media framework based on graphs of filters
that operate on media data. Applications using this library can do
anything media-related, from real-time sound processing to playing
videos. Its plug-in-based architecture means that new data types or
processing capabilities can be added simply by installing new plug-ins.

%package -n libgstinterfaces-0_10-0
# This is a library package bundle, which contains more shared
# libraries. Use the name of the lowest level one, because libgstbase
# may cause confusion (it is a part of libgstreamer-0_10-0).
# libgstapp is packaged separately, as it uses a different versioning
# Makefile variable.
Summary:        GStreamer Streaming-Media Framework Plug-Ins
Group:          System/Libraries
# We want to have base modules installed:
Requires:       %{name}
# Name of previous branch (<10.1 and <SLE10), if not updated:
Obsoletes:      gstreamer-plugin-libs < 0.10

%description -n libgstinterfaces-0_10-0
GStreamer is a streaming media framework based on graphs of filters
that operate on media data. Applications using this library can do
anything media-related, from real-time sound processing to playing
videos. Its plug-in-based architecture means that new data types or
processing capabilities can be added simply by installing new plug-ins.

%if 0%{?suse_version} >= 1120
%package -n typelib-1_0-GstInterfaces-0_10
Summary:        GStreamer Streaming-Media Framework Plug-Ins -- Introspection bindings
Group:          System/Libraries

%description -n typelib-1_0-GstInterfaces-0_10
GStreamer is a streaming media framework based on graphs of filters
that operate on media data. Applications using this library can do
anything media-related, from real-time sound processing to playing
videos. Its plug-in-based architecture means that new data types or
processing capabilities can be added simply by installing new plug-ins.

This package provides the GObject Introspection bindings for GStreamer
plug-ins.
%endif

%package -n libgstapp-0_10-0
Summary:        GStreamer Streaming-Media Framework Plug-Ins
Group:          System/Libraries
# We want to have base modules installed:
Requires:       %{name}

%description -n libgstapp-0_10-0
GStreamer is a streaming media framework based on graphs of filters
that operate on media data. Applications using this library can do
anything media-related, from real-time sound processing to playing
videos. Its plug-in-based architecture means that new data types or
processing capabilities can be added simply by installing new plug-ins.

%if 0%{?suse_version} >= 1120
%package -n typelib-1_0-GstApp-0_10
Summary:        GStreamer Streaming-Media Framework Plug-Ins -- Introspection bindings
Group:          System/Libraries

%description -n typelib-1_0-GstApp-0_10
GStreamer is a streaming media framework based on graphs of filters
that operate on media data. Applications using this library can do
anything media-related, from real-time sound processing to playing
videos. Its plug-in-based architecture means that new data types or
processing capabilities can be added simply by installing new plug-ins.

This package provides the GObject Introspection bindings for GStreamer
plug-ins.
%endif

%package devel
Summary:        Include files and libraries mandatory for development with gstreamer-0_10-plugins-base
Group:          Development/Libraries/C and C++
Requires:       libgstapp-0_10-0 = %{version}
Requires:       libgstinterfaces-0_10-0 = %{version}
%if 0%{?suse_version} >= 1120
Requires:       typelib-1_0-GstApp-0_10 = %{version}
Requires:       typelib-1_0-GstInterfaces-0_10 = %{version}
%endif
# Name up to 10.3:
Provides:       gstreamer010-plugins-base-devel = %{version}
Obsoletes:      gstreamer010-plugins-base-devel < %{version}
# libgstapp has moved from bad to base (<= 11.1)
Provides:       gstreamer-0_10-plugins-bad-devel = 0.10.10
Obsoletes:      gstreamer-0_10-plugins-bad-devel < 0.10.10
# Name up to 10.3:
Provides:       gstreamer010-plugins-bad-devel = 0.10.8
Obsoletes:      gstreamer010-plugins-bad-devel < 0.10.8
# Generic name, never used in SuSE:
Provides:       gst-plugins-base-devel = %{version}

%description devel
This package contains all necessary include files and libraries needed
to compile and link applications that use gstreamer-0_10-plugins-base.

%package doc
Summary:        Documentation for gstreamer-0_10-plugins-base
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}
# Name up to 10.3:
Provides:       gstreamer010-plugins-base-doc = %{version}
Obsoletes:      gstreamer010-plugins-base-doc < %{version}
# Generic name, never used in SuSE:
Provides:       gst-plugins-base-doc = %{version}

%description doc
This package contains documentation for the gstreamer-0_10-plugins-base
package.

%lang_package
%prep
%setup -q -n %{_name}-%{version}
translation-update-upstream po gst-plugins-base-0.10
%patch0 -p1
%patch1 -p1

%build
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
%configure\
	--disable-static\
	--enable-experimental\
	--enable-gtk-doc\
%if 0%{?suse_version} >= 1120
        --enable-introspection\
%endif
	%{nil}
make %{?jobs:-j%jobs}

%install
%makeinstall
find %{buildroot} -type f -name "*.la" -exec %{__rm} -fv {} +
%find_lang %{_name}-%{gst_branch}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n libgstinterfaces-0_10-0 -p /sbin/ldconfig

%postun -n libgstinterfaces-0_10-0 -p /sbin/ldconfig

%post -n libgstapp-0_10-0 -p /sbin/ldconfig

%postun -n libgstapp-0_10-0 -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING COPYING.LIB NEWS README RELEASE REQUIREMENTS
%{_bindir}/gst-discoverer-%{gst_branch}
%{_bindir}/gst-visualise-%{gst_branch}
%dir %{_datadir}/gst-plugins-base/
# This is really needed by libgsttag-0.10.so.0, but it can live without it and
# it's better to have it in this package for SLPP (+ libgsttag-0.10.so.0
# depends on this package anyway)
%{_datadir}/gst-plugins-base/license-translations.dict
%{_libdir}/gstreamer-%{gst_branch}/libgstadder.so
%{_libdir}/gstreamer-%{gst_branch}/libgstalsa.so
%{_libdir}/gstreamer-%{gst_branch}/libgstapp.so
%{_libdir}/gstreamer-%{gst_branch}/libgstaudioconvert.so
%{_libdir}/gstreamer-%{gst_branch}/libgstaudioresample.so
%{_libdir}/gstreamer-%{gst_branch}/libgstaudiotestsrc.so
%{_libdir}/gstreamer-%{gst_branch}/libgstaudiorate.so
%{_libdir}/gstreamer-%{gst_branch}/libgstcdparanoia.so
%{_libdir}/gstreamer-%{gst_branch}/libgstdecodebin.so
%{_libdir}/gstreamer-%{gst_branch}/libgstdecodebin2.so
%{_libdir}/gstreamer-%{gst_branch}/libgstffmpegcolorspace.so
%if 0%{?suse_version} > 1030
%{_libdir}/gstreamer-%{gst_branch}/libgstgio.so
%endif
%{_libdir}/gstreamer-%{gst_branch}/libgstlibvisual.so
%{_libdir}/gstreamer-%{gst_branch}/libgstogg.so
%{_libdir}/gstreamer-%{gst_branch}/libgstpango.so
%{_libdir}/gstreamer-%{gst_branch}/libgstplaybin.so
%{_libdir}/gstreamer-%{gst_branch}/libgstsubparse.so
%{_libdir}/gstreamer-%{gst_branch}/libgsttcp.so
%{_libdir}/gstreamer-%{gst_branch}/libgsttheora.so
%{_libdir}/gstreamer-%{gst_branch}/libgsttypefindfunctions.so
%if %{build_v4l}
%{_libdir}/gstreamer-%{gst_branch}/libgstvideo4linux.so
%endif
%{_libdir}/gstreamer-%{gst_branch}/libgstvideorate.so
%{_libdir}/gstreamer-%{gst_branch}/libgstvideoscale.so
%{_libdir}/gstreamer-%{gst_branch}/libgstvideotestsrc.so
%{_libdir}/gstreamer-%{gst_branch}/libgstvolume.so
%{_libdir}/gstreamer-%{gst_branch}/libgstvorbis.so
%{_libdir}/gstreamer-%{gst_branch}/libgstximagesink.so
%{_libdir}/gstreamer-%{gst_branch}/libgstxvimagesink.so
%{_libdir}/gstreamer-%{gst_branch}/libgstgdp.so
%{_libdir}/gstreamer-%{gst_branch}/libgstencodebin.so
%doc %{_mandir}/man1/gst-visualise-%{gst_branch}.*

%files -n gstreamer-0_10-plugin-gnomevfs
%defattr(-, root, root)
%{_libdir}/gstreamer-%{gst_branch}/libgstgnomevfs.so

%files lang -f %{_name}-%{gst_branch}.lang

%files -n libgstinterfaces-0_10-0
%defattr(-, root, root)
%{_libdir}/*.so.*
%exclude %{_libdir}/libgstapp*.so.*

%if 0%{?suse_version} >= 1120
%files -n typelib-1_0-GstInterfaces-0_10
%defattr(-, root, root)
%{_libdir}/girepository-1.0/*.typelib
%exclude %{_libdir}/girepository-1.0/GstApp-*.typelib
%endif

%files -n libgstapp-0_10-0
%defattr(-, root, root)
%{_libdir}/libgstapp*.so.*

%if 0%{?suse_version} >= 1120
%files -n typelib-1_0-GstApp-0_10
%defattr(-, root, root)
%{_libdir}/girepository-1.0/GstApp-*.typelib
%endif

%files devel
%defattr(-, root, root)
%{_includedir}/gstreamer-%{gst_branch}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%if 0%{?suse_version} >= 1120
%{_datadir}/gir-1.0/*.gir
%endif

%files doc
%defattr(-, root, root)
%{_datadir}/gtk-doc/html/gst-plugins-base-libs-%{gst_branch}
%{_datadir}/gtk-doc/html/gst-plugins-base-plugins-%{gst_branch}

%changelog
* Sat Feb  2 2013 coolo@suse.com
- update license to new format
* Mon Nov 19 2012 reddwarf@opensuse.org
- Add gstreamer-0_10-plugins-base-0.10.36-kde_302652.patch. Fixes kde#302652.
* Tue Feb 21 2012 vuntz@opensuse.org
- Update to version 0.10.36:
  + audio:
  - new IEC 61937 payloading library
  - new GstAudioFormat, GstAudioFormatInfo and GstAudioInfo API
  - new GstAudioDecoder and GstAudioEncoder base classes
  - baseaudiosink: allow subclasses to provide payloaders
  - baseaudiosink: fix latency calculation for live elements
  - baseaudiosink: make discont-wait configurable
  - baseaudiosink: split "drift-tolerance" into
    "alignment-threshold"
  + codec-utils: add method to convert H.264 text level in a
    level_idc
  + discoverer: add support for subtitles; try harder to extract
    language and duration
  + encoding-profile: add function to create a profile from a
    discoverer info
  + ringbuffer: add support for AAC, DTS, E-AC3 and MPEG audio
    buffers
  + rtcpbuffer:
  - add feedback message types from RFC 510
  - prevent overflow of 16bit header length
  + rtspconnection:
  - make hostname lookup thread-safe; OSX portability fixes
  - only send new data immediately if there are no queued
    messages
  + tags:
  - add new GstTagMux base class
  - add convenience API to handle creative commons licenses
  - add API to parse ID3v2 tags
  - various exif and xmp tag writing fixes
  - xmp: add Iptc4xmpExt schema support
  - gstvorbistag: map ENCODER Vorbis comment to application-name
  + video:
  - add video overlay composition API for subtitles
  - fix a RGB ordering mixup in colorspace conversion code
  + alsasink: fix high sample rates being rejected, and negotiation
    to "nearest" rate
  + audioresample:
  - don't emit DISCONT buffers if no discontinuity happened
  - fix quality setting being ignored; use SSE/SSE2 when possible
  + audiotestsrc: add red (brownian) and blue/violet noise
    generator
  + cdparanoiasrc: fix build issue on OSX (caused by broken
    cdparanoia port and broken system headers)
  + decodebin2:
  - improve handling of multi-stream chains (e.g. mpeg-ts)
  - cache the upstream seekability for demuxer decode chains and
    use it for the non-preroll multiqueue limits
  - add support for autoplugging parsers and parser-converters,
    and negotiate stream-format conversions properly as needed
  - link elements before testing if they can reach the READY
    state, so allow hw-accelerated elements can query the video
    context
  - use a TIME limit for pre-rolling in live streams and not in
    non-live streams
  - fix preroll for HLS streams at low bitrates
  - add source pads to stream-topology element messages
  + decodebin, decodebin2: don't plug the same parser multiple
    times in a row, so we can make parsers accept parsed input as
    well (and use them to convert to different stream formats)
  + encodebin:
  - add flags to disable conversion elements
  - autoplug formatters; re-enable parsers
  + gnomevfssrc: add support for cancelling read operations
  + oggdemux, oggmux: add support for new Opus audio codec
  + oggdemux:
  - implement push mode seeking (e.g. for http)
  - assume input is live stream if byte size cannot be determined
  - fix hang on small truncated files
  + oggmux:
  - add skeleton write support
  - sync input streams and select input buffers based on running
    time
  - headers should always have granpos 0
  - refactor how EOS is determined
  - support sparse streams as input (e.g. kate subtitle streams)
  + playbin2:
  - fix decoder-sink compatibility check for raw audio/video
    formats
  - make sure that the decoders we plug are compatible with the
    fixed sink
  - improve stream switching
  + playsink: add audio and video converter convenience bins
  + playbin2/playsink:
  - decide if A/V caps are raw only inside playsink
  - better support for raw + compressed streams (audio
    passthrough)
  - improve handling of "non-raw" formats (for hw-accelerated
    video decoding)
  + playsinkconvertbin: reconfigure if we switch from raw to
    incompatible raw caps
  + subparse: subtitle format typefinding improvements
  + subtitleoverlay: handle non raw video streams (add suport for
    hardware accelerated videos)
  + textoverlay:
  - support more video formats
  - add "outline-color" and "shadow" properties
  - attach GstVideoOverlayComposition to buffers if input is not
    raw video
  + theoraenc:
  - do not automatically override quality when using target
    bitrate
  - proxy downstream caps restrictions upstream
  + typefinding:
  - extract SOF marker in jpeg typefinder (to distinguish
    lossless JPEG)
  - add typefinder for WAP WBMP bitmaps (mostly to avoid false
    positives)
  - typefind UTF-16 and UTF-32 with BOMs (to avoid false
    positives)
  - recognize Asylum modules
  + videorate:
  - add a "max-rate" property; optionally ensure maximum average
    output frame rate
  - add "force-fps" property to force an output framerate or
    change it on the fly
  - optionally only drop frames to ensure maximum frame rate
  + videoscale: add modified Lanczos scaling method
  + volume: fix handling of volume>=4.0 for 8 and 16 bit integer
    formats
  + vorbisenc: relax overly tight jitter tolerances (make it work
    better with non-perfect input streams)
  + xvimagesink, ximagesink: fall back to non-XShm mode if
    allocating the XShm image failed
  + See NEWS for API additions.
  + Bugs fixed: bgo#643202, bgo#654270, bgo#658984, bgo#555437,
    bgo#556648, bgo#563251, bgo#584811, bgo#607619, bgo#607742,
    bgo#609918, bgo#610443, bgo#612443, bgo#615131, bgo#615342,
    bgo#621897, bgo#628337, bgo#628764, bgo#629212, bgo#630322,
    bgo#630442, bgo#630497, bgo#632788, bgo#635556, bgo#637812,
    bgo#638897, bgo#639055, bgo#640041, bgo#640564, bgo#640859,
    bgo#642690, bgo#642878, bgo#643578, bgo#644284, bgo#647648,
    bgo#647769, bgo#649319, bgo#649642, bgo#649969, bgo#650406,
    bgo#651089, bgo#651294, bgo#651496, bgo#651615, bgo#651788,
    bgo#651855, bgo#652342, bgo#652642, bgo#652838, bgo#653461,
    bgo#654295, bgo#654434, bgo#654959, bgo#655244, bgo#655268,
    bgo#655279, bgo#655347, bgo#655503, bgo#655574, bgo#656022,
    bgo#656034, bgo#656392, bgo#656715, bgo#656775, bgo#656781,
    bgo#657049, bgo#657062, bgo#657151, bgo#657257, bgo#657261,
    bgo#657319, bgo#657333, bgo#657504, bgo#657872, bgo#658294,
    bgo#658416, bgo#658443, bgo#658514, bgo#658609, bgo#658846,
    bgo#658901, bgo#659562, bgo#660150, bgo#660170, bgo#660301,
    bgo#660304, bgo#660598, bgo#660604, bgo#660816, bgo#661105,
    bgo#661106, bgo#661122, bgo#661202, bgo#661738, bgo#661897,
    bgo#661983, bgo#662049, bgo#662108, bgo#662330, bgo#662475,
    bgo#662829, bgo#663174, bgo#663312, bgo#663390, bgo#663391,
    bgo#663465, bgo#663766, bgo#663892, bgo#663893, bgo#664818,
    bgo#665004, bgo#665074, bgo#665080, bgo#665120, bgo#666395,
    bgo#667210, bgo#667306, bgo#667311, bgo#667312, bgo#667313,
    bgo#667315, bgo#667316, bgo#667917, bgo#668097, bgo#669039,
    bgo#669164, bgo#669167, bgo#669203, bgo#646868, bgo#654388,
    bgo#311486.
- Add explicit glib2-devel BuildRequires so it can be versioned.
- Add zlib-devel BuildRequires, to enable zlib support for ID3
  parsing.
- Add libICE-devel and libSM-devel BuildRequires on > 12.1: this
  used to be pulled by something else, but got changed after the
  xorg-x11 packaging change.
- Add xz BuildRequires on openSUSE <= 12.1, to be able to
  decompress the xz tarball.
- Change gtk2-devel BuildRequires to gtk3-devel, but only enable it
  on 12.1 and later (where we have it): it's an optional dependency
  for examples. GTK+ 2.x support was removed.
- On openSUSE < 12.1, add cairo-devel and pango-devel BuildRequires
  to make sure we keep building the pango, ximagesink and
  xvimagesink plugins (since there is no gtk2-devel BuildRequires
  anymore).
- Add gstreamer-0_10-plugins-base-missing-return-value.patch: fix
  missing return value.
- Remove unneeded call to autogen.sh.
* Sun Feb 19 2012 dimstar@opensuse.org
- Add pkgconfig(xv) BuildRequires on openSUSE > 12.1: this used to
  be pulled in by something else, but the relayout of xorg-x11
  packages changed that. Pull in conditionally only to not risk
  breakage in linked OBS instances (pkgconfig() was not supported
  in older openSUSE releases).
* Fri Jan  6 2012 vuntz@opensuse.org
- Split typelib files into typelib-1_0-GstApp-0_10 and
  typelib-1_0-GstInterfaces-0_10 subpackages.
- Add typelib-1_0-GstApp-0_10 and typelib-1_0-GstInterfaces-0_10
  Requires to devel subpackage.
- Change group of libgstapp-0_10-0 from
  Productivity/Multimedia/Other to System/Libraries.
- Remove explicit Requires for glib2-devel, gstreamer-0_10-devel,
  libxml2-devel and zlib-devel in devel subpackage: they will
  automatically be added the pkgconfig way.
* Sun Nov 13 2011 coolo@suse.com
- add libtool as explicit buildrequire to avoid implicit dependency from prjconf
* Sat Aug  6 2011 chris@computersalat.de
- fix deps
  o gobject-introspection >= 0.9.12
* Wed Jul  6 2011 dimstar@opensuse.org
- Introduce build_v4l macro. Video4Linux does no longer build
  with linux-glibc-devel >= 3.0, due to the fact that
  VID_TYPE_MPEG_ENCODER is no longer defined (which in turn is used
  to identify if v4l is usable). Video4Linux2 plugin can be found,
  as before, in gstreamer-0_10-plugins-good package.
* Fri Jun 17 2011 dimstar@opensuse.org
- Update to version 0.10.35:
  + Work around GLib atomic ops API change.
  + don't use G_CONST_RETURN in public headers.
  + bgo#600043: subparse: fails to recognise Cyrillic subtitles in
    windows-1251 encoding.
* Wed May 18 2011 dimstar@opensuse.org
- Update to version 0.10.34:
  + None changes: this release is identical to 0.10.33 and just
    done to keep core/base versions in sync.
* Wed May 11 2011 dimstar@opensuse.org
- Update to version 0.10.33:
  + audioringbuffer: make sure to not start if the may_start flag
    is FALSE
  + baseaudiosink:
  - arrange for running clock when rendering eos
  - don't allow aligning behind the read-segment
  - start ringbuffer upon going to PLAYING and already EOS
  + riff: Add support for video/x-camstudio
  + rtcpbuffer:
  - fix invalid read in validation of padding in rtcp packet
  - Round to next 32bit word, not current 32bit word at end of
    SDES chunk
  + rtpbuffer: Off-by-one error when creating RTP header extensions
    with a two-byte header
  + rtsptransport: ensure valid int result when parsing ranges
  + tag:
  - map the ID3v2 TENC frame to GST_TAG_ENCODED_BY
  - add GST_TAG_CAPTURING_EXPOSURE_COMPENSATION incl. EXIF/XMP
    mappings
  - add a new GstTagXmpWriter interface to select XMP schemas to
    be used
  + tagdemux: also push cached events downstream when operating in
    pull mode
  + video:
  - add GST_VIDEO_BUFFER_PROGRESSIVE flag
  - add ARGB64 and AYUV64 (16 bits per channel) formats
  - add r210 (10 bits per channel) format
  - add gst_video_format_get_component_depth() and
    _new_template_caps()
  - fix creation of grayscale caps and height calculation for
    YUV9/YVU9
  + appsink: emit "new-buffer-list" signal for buffer lists if
    handled by app
  + audiorate: add "skip-to-first" property
  + decodebin2:
  - don't use the same parser element multiple times in the same
    chain
  - improve detection of raw caps in expose-all-streams=false
    mode
  + discoverer:
  - don't wait for subtitle streams to preroll; leak fixes
  - use nominal bitrate if bitrate tag is unavailable
  + encodebin:
  - add an audioconvert after the audio resampler
  - fix refcounting issues and leaks related to request pads
  - return a new reference of the pad for the "request-pad"
    signal
  - set all elements to NULL and remove them from the bin when
    removing a source group
  - tear down old profiles when setting new ones
  + multifdsink: disconnect inactive clients in the select loop too
  + oggmux:
  - prefer headers from caps to determine stream type (for VP8)
  - fix issue with ogg page numbering and discont flag handling
  - ensure stream serial numbers are unique
  - use running time for muxing instead of timestamps
  + oggparse: better detection of delta unit flag
  + playbin2:
  - uridecodebin: add "source-setup" signal
  - always prefer the custom set sink and also set it back to
    NULL in all cases
  - check if an already existing sink supports the non-raw format
  - fix handling of non-raw custom sinks
  - if a sink claims to support ANY caps assume that it only
    supports the usual raw formats
  - only consider the audio/video sinks in autoplug_continue for
    the normal uridecodebin
  - use gst_pad_accept_caps() instead of intersecting with the
    getcaps caps
  - set sinks to READY before checking if it accept caps
  + textoverlay:
  - add support for ARGB and other RGB alpha variants, and xBGR
    and RGBx
  - add support for vertical center alignment
  - converted AYUV to use 'A OVER B' alpha compositing
  - use a class wide mutex to work around pango reentrance issues
  + theoraenc:
  - don't reset the video quality when setting the bitrate
  - allow adjustment of the speed level while running
  - set speed-level property defaults from libtheora's defaults
  + typefinding:
  - MPEG-TS detection fixes
  - detect HTTP live streaming m3u8 playlists
  - detect windows icon files and DEGAS images
  - detect raw h.263
  - add depth and endianness fields to DTS caps
  + uridecodebin:
  - Add default handler for autoplug-select
  - add https:// to protocols for which to enable buffering
  - expose "autoplug-sort" signal
  - post proper error message if decodebin2/typefind elements are
    missing
  - Return NULL from the default autoplug-sort handler
  + videorate: fix "skip-to-first" timestamp setup
  + videoscale: add 16-bit-channel support (ARGB64, AYUV64), fix
    ARGB bilinear scaling
  + videotestsrc: add 16-bit-per-channel support (ARGB64, AYUV64)
  + vorbis: add support for using tremolo on android
  + vorbistag:
  - Add support for METADATA_BLOCK_PICTURE tags
  - Write GST_TAG_IMAGE and GST_TAG_PREVIEW_IMAGE as
    METADATA_BLOCK_PICTURE
  + win32: fix DEFAULT_AUDIOSINK, should be direct*sound*sink
  + xvimagesink: don't paint the window black when going to NULL
  + Bugs fixed: bgo#618516, bgo#619778, bgo#633837, bgo#412678,
    bgo#620364, bgo#625129, bgo#626152, bgo#627268, bgo#629196,
    bgo#632291, bgo#632889, bgo#635669, bgo#635784, bgo#635800,
    bgo#636886, bgo#639136, bgo#639159, bgo#639237, bgo#639744,
    bgo#640189, bgo#640211, bgo#640607, bgo#640709, bgo#640804,
    bgo#641706, bgo#641860, bgo#641917, bgo#641927, bgo#641952,
    bgo#642174, bgo#642232, bgo#642274, bgo#642381, bgo#642466,
    bgo#642720, bgo#642942, bgo#642949, bgo#643775, bgo#644416,
    bgo#644745, bgo#644845, bgo#644996, bgo#645167, bgo#645437,
    bgo#646570, bgo#646572, bgo#646573, bgo#646575, bgo#646576,
    bgo#646923, bgo#646924, bgo#646925, bgo#646952, bgo#647399,
    bgo#647721, bgo#647781, bgo#647856, bgo#647857, bgo#647942,
    bgo#647943, bgo#648459, bgo#648466, bgo#648548, bgo#642667,
    bgo#642732, bgo#646744, bgo#647294
* Tue Jan 25 2011 wstephenson@novell.com
- Update to version 0.10.32
  + GLib requirement is now >= 2.22
  + New core elements:
  - valve (moved from -bad)
  - input-selector (N.B. without "select-all" property, use fsfunnel
    instead) (moved from -bad)
  - output-selector (with different negotiation behaviour by
    default, set pad-negotiation-mode=active for previous behaviour)
    (moved from -bad)
  + Performance improvements for many heavily-used code paths:
    GstPad, GstPoll, GstClock, GstTask, basesink, basesrc, queue2,
    multiqueue
  + gobject-introspection: add annotations for most core API
  + clock: make sync clock wait lockfree
  + fdsrc/fdsink: reenable on MSVC
  + registry: fix GStatBuf definition for win32 when building against
    older glib (fixes unnecessary rescanning of plugins at start-up)
  + element: add a more flexible way to get request pads from elements
  + multiqueue: return upon input when already eos
  + object: fix creation of default name
    (when creating more than 100000 elements)
  + pluginloader: fix hangs on OSX
  + poll:
  - fixes for (p)select backend (used e.g. on OSX)
  - refactor and make more lockfree; fixes for win32 and OSX
    (pselect backend)
  + registry: don't replace valid existing plugins by blacklisted ones
  + tags: don't produce duplicated entries when merging same value twice
  + basesink:
  - preroll fixes for async=false case
  - rework position reporting code
  + basetransform: handle downstream giving a buffer with new caps
    but invalid size
  + See NEWS for API additions and deprecations.
  + Bugs fixed: bgo#635785, bgo#638599, bgo#503592, bgo#564056,
    bgo#607513, bgo#632168, bgo#632447, bgo#632557, bgo#632778,
    bgo#632779, bgo#632780, bgo#633918, bgo#634965, bgo#635001,
    bgo#636268, bgo#636455, bgo#637057, bgo#637300, bgo#637549,
    bgo#637776, bgo#638381, bgo#638399, bgo#638900, bgo#638941.
* Sun Jan 16 2011 aj@suse.de
- Remove buildrequire on pyxml, changelog of package with date
  2008-03-21 contains:
  "Don't depend on PyXML and use only XML modules that are shipped
  with python."
* Tue Dec  7 2010 vuntz@opensuse.org
- Update to version 0.10.31:
  + adder: Make sure FLUSH_STOP is always sent after a flushing
    seek
  + alsasrc, alsasink: add "card-name" property to get the card
    name in addition to the device name
  + appsrc: don't override buffer caps if appsrc caps are NULL; fix
    element classification
  + audioclock: add a function to invalidate the clock
  + audioconvert: optimise remaining conversion code paths with Orc
    as well
  + baseaudiosink,baseaudiosrc: post clock-provide and clock-lost
    messages when going from/to READY to/from PAUSED
  + baseaudiosink: subtract the render_delay from our latency
  + decodebin2: don't add non prerolled stream to topology
  + ffmpegcolorspace: add support for A420 and fix support for 8
    bit paletted RGB and IYU1
  + gnomevfsrc: set GST_PARAM_MUTABLE_READY flag on the "handle"
    property
  + libvisual: add latency query; only drop frames that are really
    too old
  + multifdsink: gdp protocol is deprecated. People should use
    gdppay instead
  + oggdemux: fix seeking with negative rate with skeleton; fix
    wrong flowreturn handling
  + pbutils:
  - AAC profile and level detection utility functions
  - H.264 and MPEG-4 profile and level extraction utility
    functions
  - new GstDiscoverer utility API for extracting metadata and
    tags
  + playbin2, decodebin2: declare stable, deprecate the old
    playbin/decodebin
  + playbin2, uridecodebin: add property to configure ring buffer
    size
  + rtcpbuffer: add function to manipulation the data in RTCP
    feedback packets
  + rtpbuffer:
  - add functions to add RFC 5285 header extensions to
    GstBufferLists
  - add function to add RTP header extensions with a two bytes
    header
  - add function to append RFC 5285 one byte header extensions
  - add function to parse RFC 5285 header extensions
  - add function to read RFC 5285 header extensions from
    GstBufferLists
  - add function to transform a GstBuffer into a GstBufferList
  + rtsp: improve rtsp timeout calculation and handling
  + sdp: add methods to convert between uri and message
  + tags:
  - try ISO-8859-1 as second fallback in case WINDOWS-1252 is not
    supported
  - add many more photography/capture tags
  - EXIF and XMP tag handling improvements
  + textoverlay: add support for NV12, NV21 and AYUV; configurable
    text color and position
  + theoradec:
  - expose telemetry properties only if libtheora was compiled
    with --enable-telemetry
  - add support for two-pass encoding; allow change of bitrate
    and quality on-the-fly
  + tools: standalone gst-discoverer-0.10 tool for discovering
    media file properties
  + typefinding:
  - detect avc1 ftyp as video/quicktime
  - export 3gp profile in caps
  - detect enhanced AC-3
  - extend AAC typefinder to detect LOAS streams
  - fix ADTS caps stream-format detail
  - more reliable mpeg-ts typefinding
  + uridecodebin: Only enable progressive downloading if the
    upstream duration in bytes is known
  + video: add  gst_video_convert_frame*() utility functions
  + videorate:
  - fixate the pixel-aspect-ratio if necessary
  - mark duplicated frames with the GAP flag
  + videoscale:
  - add support for adding black borders to keep the DAR if
    necessary ("add-borders" property)
  - Fix caps fixating if the height is fixed but the width isn't
  - only set the PAR if the caps already had a PAR
  - refactor using more Orc code
  + videotestsrc:
  - new patterns: solid-color, ball, bar and smpte100
  - add "foreground-color" and "background-color" properties,
    deprecate "colorspec" property
  - add support for UYVP format, fix NV21 rendering
  + volume: use Orc to optimise many code paths
  + vorbisdec: decode pending buffers upon EOS when doing reverse
    playback
  + xoverlay:
  - add set_window_handle() with guintptr argument, deprecate
    set_xwindow_id() which doesn't work on some platforms
  - allow render rectangle coordinates to be negative
  + See NEWS for API additions and deprecations.
  + Bugs fixed: bgo#628028, bgo#623846, bgo#602437, bgo#612264,
    bgo#615471, bgo#616392, bgo#617314, bgo#617506, bgo#620291,
    bgo#623663, bgo#623807, bgo#623837, bgo#623918, bgo#624598,
    bgo#624656, bgo#624919, bgo#624920, bgo#624949, bgo#625001,
    bgo#625118, bgo#625944, bgo#626125, bgo#626570, bgo#626581,
    bgo#626621, bgo#626629, bgo#626718, bgo#627203, bgo#627297,
    bgo#627565, bgo#627768, bgo#627780, bgo#627924, bgo#628009,
    bgo#628400, bgo#628500, bgo#628747, bgo#629157, bgo#629672,
    bgo#629848, bgo#630303, bgo#630353, bgo#630440, bgo#630443,
    bgo#630471, bgo#630496, bgo#630802, bgo#631128, bgo#631312,
    bgo#631633, bgo#631703, bgo#631756, bgo#631773, bgo#631774,
    bgo#632167, bgo#632653, bgo#632656, bgo#632789, bgo#632809,
    bgo#632988, bgo#633023, bgo#633203, bgo#633311, bgo#633336,
    bgo#633455, bgo#634014, bgo#634584, bgo#635067, bgo#635392,
    bgo#621349, bgo#628488, bgo#629746, bgo#626869.
- Drop gstreamer-0_10-plugins-base-make382.patch: fixed upstream.
* Sat Sep 18 2010 vuntz@opensuse.org
- Move gir files to devel subpackage.
* Sat Sep 11 2010 dimstar@opensuse.org
- Add gstreamer-0_10-plugins-base-make382.patch: fix build with
  make 3.82. Patch taken from common modules upstream repo, commit
  id=4a070a. fdo#29426.
* Tue Aug 31 2010 aj@suse.de
- Recommend instead of require lang package since it's not mandatory.
* Thu Aug 12 2010 dimstar@opensuse.org
- Update to version 0.10.30:
  + Use Orc (Optimized Inner Loops Runtime Compiler) for SIMD and
    other optimisations, and remove liboil dependency.
  + basertpaudiopayload: Set duration on buffers; add extra frame
    for non-complete frame lengths
  + riff: add mappings for On2 VP8 and VP6F: On2 VP6 Flash variant
  + video: Add support for RGB/BGR with 15 and 16 bits, and Y800
    and Y16
  + xmp/exif tags: add mappings for new tags (device, geo
    location, image orientation)
  + adder: rework timestamping; only accept seek-types SEEK_NONE
    and SEEK_SET
  + decodebin2:
  - add "expose-all-streams" property to not expose/decode all
    streams
  - use accumulator for autoplug-sort
  + ffmpegcolorspace:
  - add YUY2/YVYU to all RGB formats conversions
  - fix conversion of packed 4:2:2 YUV to RGB and 8 bit grayscale
  - fix Y16 from/to GRAY8 conversion
  - fix Y42B from/to YUY2/YVYU/UYVY conversion for odd widths
  - Map "Y8  " and "GREY" to "Y800" and add it to the template
    caps
  - negotiation speed-ups
  + oggdemux:
  - implement seeking and duration estimates when operating in
    push mode (http etc.)
  - parse Skeleton index packets for better seeking in push mode
  - fix granulepos->key granule calculation for Dirac video
  - fix EOS flow aggregation: only EOS when all streams are EOS
  + oggmux: Start a new page for every CMML buffer
  + ogg: Implement Ogg VP8 mapping
  + playbin2:
  - add "av-offset" property to adjust audio/video sync
  - add flag for enabling/disabling automatic deinterlacing
  - fix race when querying duration right after preroll, by
    forwarding duration query duration during group switch if no
    cached duration exists
  - if a text sink is provided, let subtitle parsing be done by
    decodebin2 if required
  - set the subtitle encoding on the decodebins again
  + playsink:
  - also expose "convert-frame" action signal and "frame"
    property in playsink
  - reconfigure the video chain correctly when switching from a
    subtitle to a non-subtitle file
  - Don't fail if subtitles are used but only audio is available
    and no visualizations
  + typefinding:
  - add WebM typefinder (was in -good before)
  - add IVF and dts typefinders, improve AC-3 and jpeg
    typefinding
  - detect ISO 14496-14 files as video/quicktime not audio/x-m4a
  + uridecodebin:
  - add all qtdemux types to downloadable types
  - add the 'expose-all-streams' property from decodebin2
  - Allow video/webm for progressive downloading
  + videorate, videotestsrc: fixate color-matrix, chroma-site and
    interlaced fields if necessary
  + videoscale:
  - Try to keep DAR when scaling
  - Add support for Y444, Y42B and Y41B and more gray formats
  - Fix resampling of ARGB scanlines
  - Try harder to keep the DAR if possible
  - Use passthrough mode if width and height are not changed
  + Bugs fixed: bgo#621428, bgo#371108, bgo#512740, bgo#605100,
    bgo#610866, bgo#614872, bgo#614942, bgo#615783, bgo#616396,
    bgo#616422, bgo#616557, bgo#617636, bgo#617855, bgo#617868,
    bgo#618324, bgo#618392, bgo#618625, bgo#619090, bgo#619102,
    bgo#619310, bgo#619396, bgo#620136, bgo#620140, bgo#620211,
    bgo#620279, bgo#620342, bgo#620412, bgo#620441, bgo#620500,
    bgo#620720, bgo#620939, bgo#621071, bgo#621161, bgo#621190,
    bgo#621509, bgo#621572, bgo#622696, bgo#622807, bgo#622944,
    bgo#623003, bgo#623176, bgo#623218, bgo#623233, bgo#623318,
    bgo#623375, bgo#623384, bgo#623418, bgo#623530, bgo#623583,
    bgo#624266, bgo#547603
- Add orc BuildRequires
- Remove liboil-devel BuildRequires
- Drop gstreamer-0_10-plugins-base-fix-introspection-build.patch,
  it was not applied before.
* Tue May  4 2010 dimstar@opensuse.org
- Update to version 0.10.29:
  + video: add support for color-matrix and chroma-site fields in
    video caps and selected elements
  + video: Add support for 8-bit and 16-bit grayscale formats
  + typefinding: add AAC profile, level, channels and rate to ADTS
    caps
  + tags: add basic xmp metadata support
  + gio, gnomevfs: invert ranks of gio and gnomevfs elements: gio
    is prefered now, gnomevfs has been deprecated
  + riff: add mapping for On2 VP62 and VP7 and add some more MPEG4
    fourccs
  + playsink: Don't fail if there are subtitles and audio but no
    video
  + oggdemux: map old FLAC mapping correctly
  + alsa: handle disappearing of sound device whilst in use more
    gracefully
  + playbin: Only unref the volume element on dispose and when a
    new audio sink is set
  + build: build plugin, example and libs directories in parallel
    if make -jN is used
  + uridecodebin/playbin2: we can handle avi in download mode too
  + rtsp: handle closed POST socket in tunneling, ignore unparsable
    ranges, allow for more ipv6 addresses
  + audiopayload: add property to control packet duration
* Sat Apr 10 2010 vuntz@opensuse.org
- Use the PackageKit codec helper instead of our own tool: less
  code to maintain for us, and it will make it possible to directly
  install a package.
- Change opensuse-codecs-installer Recommends to
  PackageKit-gstreamer-plugin.
- Remove --with-install-plugins-helper configure option: the
  PackageKit plugin will install the right file with
  update-alternatives.
* Thu Mar 25 2010 vuntz@opensuse.org
- Split the gnomevfs plugin in a gstreamer-0_10-plugin-gnomevfs
  subpackage to not require gnome-vfs (which is deprecated) with
  this package.
- Add iso-codes-devel BuildRequires.
* Sat Mar 13 2010 dimstar@opensuse.org
- Update to version 0.10.28:
  + Features of this release:
  - Ogg/Dirac fixes
  - build: really dist qtgv-xoverlay.h header file needed by
    overlay examples this time
  - rtspconnection: fix handling of x-server-ip-address
  - alsasrc fixes
  + Bugs fixed:
  - bgo#610832: qtgv-xoverlay.h header file missing in the
    tarball
  - bgo#611900: [oggdemux] Incorrect parsing of Dirac headers
* Mon Mar  8 2010 dimstar@opensuse.org
- Update to version 0.10.27:
  + Features of this release:
  - playbin2,decodebin2: lots of fixes for missing plugin
    installation
  - playbin2, playsink, subtitleoverlay: Set subtitle encoding
    properly
  - videorate: Improve upstream negotiation
  - oggdemux: use the chain begin_time instead of our counter
  - oggdemux: mark skeleton streams correctly
  - oggdemux: theora PAR of 0:N, N:0 or 0:0 is allowed and maps
    to 1:1
  - typefinding: detect stm module format
  - ffmpegcolorspace: add conversions from all ARGB formats to
    AYUV and back
  - theoradec: Fix chroma copying for 4:2:2
  - tcpclientsrc,tcpserversrc: Fix handling of closed sockets
  - examples,build: dist header file for the Qt graphics view
    example
  - playsink: Reset the sink's state to NULL before unreffing it
    unless it's the same instance again
  - rtspconnection: make sure not to dereference NULL username or
    password
  - appsrc: Update segment duration and post a duration message
    if the duration changes
  - vorbisdec: also support ivorbis tremor decoder
  - rtsp: fail gracefully on bad Content-Length headers
  - rtsp: ignore \n and \r as the first line
  + Bugs fixed: bgo#610449, bgo#608025, bgo#608309, bgo#608417,
    bgo#609063, bgo#609314, bgo#609423, bgo#610005, bgo#610268,
    bgo#610310, bgo#610329, bgo#610379, bgo#610386, bgo#610672,
    bgo#610832, bgo#611225, bgo#611227, bgo#604131
* Wed Feb 17 2010 dimstar@opensuse.org
- Update to version 0.10.26:
  + Changes:
  - playbin2:
    . make about-to-finish signal work for raw sources (e.g.
    audio CDs)
    . fix handling of the native audio/video flags
    . add flag to enable decodebin buffering
    . make subtitle error handling more robust and ignore late
    errors
    . improve subtitle passthrough in uridecodebin
    . new subtitleoverlay element for generic subtitle overlaying
    . proxy notify::volume and notify::mute from the volume/mute
    elements (or audio sink)
    . don't stop completely on initialization errors from
    subtitle elements; instead disable the subtitles and play
    the other parts of the stream
  - decodebin2: rewrite autoplugging and how groups of pads are
    exposed
  - uridecodebin: add use-buffering property that will perform
    buffering on parsed or demuxed media.
  - GstXOverlay: flesh out docs and add example for use with
    Gtk+ >= 2.18
  - libgsttag: add utility functions for ISO-639 language codes
    and tags
  - oggdemux:
    . use internal granulepos<->timestamp mapper and make
    oggdemux more like a 'normal' demuxer that outputs
    timestamps
    . seeking improvements
  - subparse: add qttext support
  - ffmpegcolorspace: prefer transforming alpha formats to alpha
    formats and the other way around
  - libgstvideo: add functions to create/parse still frame events
  - theoraenc: make the default quality property 48.
  - videotestsrc: add pattern with out-of-gamut colors
  - theora: port to 'new' theora 1.0 API; make misc. existing
    properties have no effect (quick, keyframe-mindistance,
    noise-sensitivity, sharpness, keyframe_threshold); those
    either never worked or aren't needed/provided/useful any
    longer with the newer API
  - typefinding: misc. performance improvements and fixes
  - baseaudiosink: make drift tolerance configurable
  + Bugs fixed: bgo#597539, bgo#597786, bgo#598288, bgo#598533,
    bgo#598936, bgo#599105, bgo#599154, bgo#599266, bgo#599471,
    bgo#599649, bgo#600027, bgo#600370, bgo#600469, bgo#600479,
    bgo#600726, bgo#600787, bgo#600945, bgo#600948, bgo#601104,
    bgo#601627, bgo#601772, bgo#601809, bgo#601942, bgo#602000,
    bgo#602225, bgo#602790, bgo#602834, bgo#602924, bgo#602954,
    bgo#603345, bgo#603357, bgo#605100, bgo#605219, bgo#605960,
    bgo#606050, bgo#606163, bgo#606687, bgo#606744, bgo#606926,
    bgo#607116, bgo#607226, bgo#607381, bgo#607403, bgo#607569,
    bgo#607652, bgo#607848, bgo#607870, bgo#607926, bgo#607929,
    bgo#608167, bgo#608179, bgo#608446, bgo#608484, bgo#608699,
    bgo#609252, bgo#596078, bgo#596183, bgo#601480, bgo#596313,
    bgo#606949
* Sun Jan 31 2010 jengelh@medozas.de
- Package baselibs.conf
* Thu Dec  3 2009 vuntz@opensuse.org
- Compile introspection support:
  + Add gobject-introspection-devel BuildRequires.
  + Pass --enable-introspection to configure.
  + Add gstreamer-0_10-plugins-base-fix-introspection-build.patch
    to fix the build.
- Fix self-obsoletion of gstreamer010-plugins-bad-devel.
- Small cleanups.
* Mon Nov 16 2009 lmedinas@opensuse.org
- Update to version 0.10.25:
  + Changes:
  - Add per-stream volume controls
  - Theora 1.0 and Y444 and Y42B format support
  - Improve audio capture timing
  - GObject introspection support
  - Improve audio output startup
  - RTSP improvements
  - Use pango-cairo instead of pangoft2
  - Allow cdda://(device#)?track URI scheme in cddabasesrc
  - Support interlaced content in videoscale and ffmpegcolorspace
  - Many other bug fixes and improvements
  + Bugs fixed: bgo#595401, bgo#563828, bgo#591677, bgo#588523,
    bgo#590146, bgo#321532, bgo#340887, bgo#397419, bgo#556537,
    bgo#559049, bgo#567660, bgo#567928, bgo#571610, bgo#583255,
    bgo#586180, bgo#588717, bgo#588761, bgo#588915, bgo#589095,
    bgo#589574, bgo#590243, bgo#590425, bgo#590856, bgo#591207,
    bgo#591357, bgo#591577, bgo#591664, bgo#591934, bgo#592544,
    bgo#592657, bgo#592864, bgo#592884, bgo#593035, bgo#593284,
    bgo#594020, bgo#594094, bgo#594136, bgo#594165, bgo#594256,
    bgo#594258, bgo#594275, bgo#594623, bgo#594732, bgo#594757,
    bgo#594993, bgo#594994, bgo#595454, bgo#545807
* Mon Oct 26 2009 sbrabec@suse.cz
- Added support for translation-update-upstream (FATE#301344).
* Mon Aug 10 2009 vuntz@novell.com
- Only use libgudev-1_0-devel BuildRequires on openSUSE > 11.1.
* Wed Aug  5 2009 vuntz@novell.com
- Update to version 0.10.24:
  + Changes:
  - Recognise Kate subpicture subtitles
  - Support progressive download in playbin2
  - GIO improvements
  - Add buffer-list support in appsink
  - Add gaussian-noise mode to audiotestsrc
  - bump cdparanoia req to 0.10.2 and improve caching
  - Improve audio source base class
  - Add frame-by-frame stepping and examples
  - Extend stream-probing in decodebin2
  - Many RTSP improvements
  - support for PGS subpictures
  - adder improvements
  - Add Y444, v210, v216 formats
  - implement preset interface in vorbisenc, theoraenc, oggmux
  - Improve libvisual visualisation timestamp tracking
  - playbin2 enhancements: custom audiosink, subpictures, cdda
  - Improvements in textrender
  - Support raw YUV 4:2:2 and SIREN in RIFF
  - Add 4:2:2 and 4:4:4 support to theoradec
  - Many other bug-fixes and improvements
  + Bugs fixed: bgo#510417, bgo#513373, bgo#529300, bgo#531035,
    bgo#567997, bgo#576552, bgo#577637, bgo#579692, bgo#580318,
    bgo#581460, bgo#581571, bgo#582021, bgo#582749, bgo#582819,
    bgo#583867, bgo#584020, bgo#584686, bgo#585197, bgo#585758,
    bgo#585970, bgo#585994, bgo#586331, bgo#586356, bgo#586519,
    bgo#587080, bgo#587278, bgo#587676, bgo#587695, bgo#587896,
    bgo#587980, bgo#588078, bgo#588205, bgo#588550, bgo#588551,
    bgo#588724, bgo#588746, bgo#588747, bgo#588748, bgo#589075,
    bgo#589581, bgo#589622, bgo#589663, bgo#589797, bgo#590470,
    bgo#536313, bgo#579642, bgo#582528, bgo#583318, bgo#585079,
    bgo#585708, bgo#588218, bgo#586920
  + API additions:
  - GstNetAddress::gst_netaddress_to_string()
  - Add gst_rtsp_watch_queue_data()
  - playbin2: Add {audio,video,text}-tags-changed signals
  - Add gst_color_balance_get_balance_type()
  - Add gst_mixer_get_mixer_type()
- Change cdparanoia BuildRequires in cdparanoia-devel.
- Add libgudev-1_0-devel BuildRequires.
* Sun May 17 2009 vuntz@novell.com
- Update to version 0.10.23:
  + New navigation API to support DVD playback
  + playbin2 improvements
  + RTSP extensions to allow extra headers and options
  + Replace audioresampler with speexresample based code
  + Support interlacing flags in the gstvideo library
  + Support new RIFF formats
  + Improve typefinding
  + Support more frame formats in videoscale
  + Many other bug-fixes and improvements
  + Bugs fixed: bgo#577637, bgo#580120, bgo#478512, bgo#574962,
    bgo#564139, bgo#577436, bgo#350311, bgo#378094, bgo#543591,
    bgo#553295, bgo#565105, bgo#565777, bgo#566661, bgo#567255,
    bgo#567636, bgo#567740, bgo#568482, bgo#569655, bgo#570142,
    bgo#570356, bgo#570768, bgo#570832, bgo#571009, bgo#571147,
    bgo#572577, bgo#572872, bgo#572993, bgo#573165, bgo#573528,
    bgo#573529, bgo#574293, bgo#574319, bgo#574447, bgo#574939,
    bgo#575550, bgo#575638, bgo#575649, bgo#576019, bgo#576142,
    bgo#576180, bgo#576586, bgo#577054, bgo#577709, bgo#577827,
    bgo#578583, bgo#578656, bgo#579129, bgo#579130, bgo#579192,
    bgo#579203, bgo#579267, bgo#579463, bgo#579668, bgo#579734,
    bgo#579912, bgo#580470, bgo#580952, bgo#581727, bgo#569682,
    bgo#580020, bgo#562794, bgo#567396, bgo#567982, bgo#571299,
    bgo#574443, bgo#574516, bgo#574964, bgo#575256, bgo#575588,
    bgo#576187, bgo#576188, bgo#576190, bgo#577288, bgo#577610,
    bgo#577794, bgo#578118, bgo#578506, bgo#578942, bgo#580271,
    bgo#580649
  + API added:
  - GstRTSP::gst_rtsp_options_as_text()
  - GstRTSPMessage::gst_rtsp_message_take_header()
  - GstRTSPRange::gst_rtsp_range_to_string()
  - New Navigation interface commands, queries and messages
  - gst_rtsp_channel_new()
  - gst_rtsp_channel_unref()
  - gst_rtsp_channel_attach()
  - gst_rtsp_channel_queue_message()
  - gst_rtsp_connection_accept()
  - GstAppSink::gst_app_sink_set_callbacks()
  - GST_VIDEO_FORMAT_YVYU, GST_VIDEO_BUFFER_TFF,
    GST_VIDEO_BUFFER_RFF, GST_VIDEO_BUFFER_ONEFIELD
  - GST_MIXER_FLAG_HAS_WHITELIST, GST_MIXER_FLAG_GROUPING,
    GST_MIXER_TRACK_NO_RECORD, GST_MIXER_TRACK_NO_MUTE,
    GST_MIXER_TRACK_WHITELIST
  - GstAppSrc::emit-signals
  - GstAppSrc::gst_app_src_set_emit_signals()
  - GstAppSrc::gst_app_src_get_emit_signals()
  - GstAppSrc::gst_app_src_set_callbacks()
  - RTSP::gst_rtsp_connection_get_url()
  - GstRTSPLowerTrans::GST_RTSP_LOWER_TRANS_HTTP
  - RTSP:gst_rtsp_connection_set_tunneled()
  - RTSP:gst_rtsp_connection_is_tunneled()
  - RTSP::gst_rtsp_connection_set_ip()
  - RTSP::gst_rtsp_connection_get_tunnelid()
  - RTSP::gst_rtsp_connection_do_tunnel()
  - RTSP::gst_rtsp_watch_reset()
* Thu Apr 30 2009 sbrabec@suse.cz
- Don't call autogen and don't package gio in older products.
* Mon Feb 23 2009 sbrabec@suse.cz
- Split libgstapp into a separate library - its versioning is not
  in sync with other libraries.
- Set conflict for gstapp module.
* Thu Feb  5 2009 vuntz@novell.com
- Update to version 0.10.22:
  + Require gettext 0.17
  + Replace audioresample with speexresample from -bad
  + Support new formats in RIFF: uncompressed RGB, WMA lossless,
    VP6
  + Move libgstapp and elements from -bad
  + Support color-key setting and probing for Xv properties
  + Improve typefinding for various formats
  + Extend audio sinks for pull-mode operation
  + Support for more subtitle formats
  + More development on decode2bin and playbin2
  + RTP and SDP fixes
  + Many bug fixes and improvements
  + Bugs fixed: bgo#562163, bgo#562258, bgo#561789, bgo#554533,
    bgo#567511, bgo#116051, bgo#346218, bgo#385061, bgo#456788,
    bgo#525807, bgo#546955, bgo#549417, bgo#549510, bgo#552237,
    bgo#552559, bgo#552569, bgo#552801, bgo#554879, bgo#555257,
    bgo#555319, bgo#555607, bgo#555699, bgo#556025, bgo#556066,
    bgo#557365, bgo#558124, bgo#559111, bgo#559478, bgo#559567,
    bgo#561436, bgo#561734, bgo#561780, bgo#561924, bgo#562270,
    bgo#563143, bgo#563174, bgo#563508, bgo#563718, bgo#563904
  + API added:
  - clockoverlay::time-format
  - GstRingBuffer:gst_ring_buffer_activate()
  - GstRingBuffer:gst_ring_buffer_is_active()
  - GstRingBuffer:gst_ring_buffer_convert()
  - Add GST_TYPE_BASE_AUDIO_(SRC|SINK)_SLAVE_METHOD to the public API
  - gst_netaddress_get_address_bytes()
  - gst_netaddress_set_address_bytes(
- Move all the libgstapp packaging from gstreamer-0_10-plugins-bad
  to here, in libgstinterfaces (with other libraries).
- Remove .la files.
* Thu Nov  6 2008 sbrabec@suse.cz
- Re-enabled gio (bnc#441855).
- Fixed valgrid BuildRequires.
* Thu Oct 23 2008 maw@suse.de
- Update to version 0.10.21:
  + Continued playbin2 development
  + Ogg improvements - CELT support, skeleton fixes
  + DVD subpicture support
  + Improved audio dithering random number generator
  + xvimagesink/ximagesink fixes
  + Vorbis encoding and decoding fixes
  + Recognise Kate subtitle streams
  + Bugs fixed: bgo#537380, bgo#538656, bgo#540334, bgo#528299,
    bgo#530068, bgo#537009, bgo#537045, bgo#537599, bgo#537889,
    bgo#538232, bgo#538663, bgo#540215, bgo#540351, bgo#540497,
    bgo#541358, bgo#544306, bgo#548898, bgo#548913, bgo#549062,
    bgo#549814, bgo#550582, bgo#550638, bgo#550656, bgo#550729,
    bgo#552960, and bgo#553244
  + New API:
  * Add "index" property to GstMixerTrack to differantiate
    between multiple mixer tracks with the same label.
* Thu Sep  4 2008 mboman@novell.com
- Updated to version 0.10.20:
  + RTP improvements
  + Support digest auth for RTSP
  + Additional documentation
  + Support DSCP QoS in multifdsink
  + Add NV12/NV21 video buffer layouts
  + Video scaling now bilinear by default
  + Support more than 8 channels in audio conversions
  + Channel mapping fixes for audioconvert
  + Improve tmplayer and sami subtitle support
  + Support 1x1 pixel buffers for videoscale
  + Typefinding improvements for MPEG2, musepack
  + Ogg/Dirac mapping updated in oggmux
  + Fixes in ogg demuxing
  + audiosink synchronisation and slaving fixes
  + Support muting of the audio in playbin by selecting -1 as the audio
    stream
  + Work done on playbin2 and uridecodebin
  + Improvements in the experimental GIO plugin
  + decodebin fixes
  + Handle GAP buffers in some places
  + Various other leak and bug-fixes
* Wed May 14 2008 cthiel@suse.de
- fix baselibs.conf
* Tue Apr 29 2008 cthiel@suse.de
- obsolete gstreamer010-plugins-base-<arch> via baselibs.conf
* Mon Apr 14 2008 jpr@suse.de
- Disable the gio plugin temporarily until dbus generated uid on
  install
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Tue Apr  8 2008 sbrabec@suse.cz
- Updated to version 0.10.19:
  * Handle EAGAIN when polling sockets in rtspconnection
- Enabled GIO support.
- Fixed Obsoletes (bnc#357153).
* Wed Apr  2 2008 maw@suse.de
- Update to version 0.10.18:
  + Experimental GIO plugin
  + Continued playbing2 development
  + RTP fixes
  + New API:
  * GstRTPBuffer:gst_rtp_buffer_set_extension_data()
  * add GST_VIDEO_FORMAT_Y41B and GST_VIDEO_FORMAT_Y42B
  * add GstMixerOptions::get_values vfunc (bgo#519906)
  * add gst_mixer_options_list_changed(),
    gst_mixer_mixer_changed() and
    gst_mixer_message_parse_options_list_changed() (bgo#519916)
  * gst_base_rtp_audio_payload_set_samplebits_options()
  * GstNetBuffer::gst_netaddress_equal
  + Bugs fixed: bgo#509637, bgo#510229, bgo#511478, bgo#511810,
    bgo#512899, bgo#513167, bgo#514307, bgo#514623, bgo#514937,
    bgo#515654, bgo#516246, bgo#517420, bgo#517991, bgo#518039,
    bgo#518162, bgo#518940, bgo#519906, bgo#519916, bgo#520523,
    bgo#521743, bgo#522625, bgo#523054, bgo#511825, and bgo#520300.
* Tue Feb  5 2008 maw@suse.de
- Update to version 0.10.17:
  + Work around ABI breakge due to unfortunate use of the
    GST_DISABLE_DEPRECATED macro
  + Export two missino functions needed for the win32 build
  + Initialize the GstRingBuffer GType in a thread-safe context
  + Bugs fixed: bgo#511825, bgo#513018, and bgo#512334.
* Tue Feb  5 2008 maw@suse.de
- Update to version 0.10.16:
  + Include decodebin2 and playbin2 APIs -- these are still subject
    to change
  + Handle newer Theora granule-pos semantics
  + Fixes in playbin handling of stream-switching
  + New API for uniform handling of raw-video format buffers.
  + Improvements for RTSP/RTP handling
  + RIFF lib additions for VC-1 and AVC1 fourccs
  + Bugs fixed: bgo#506132, bgo#320984, bgo#373011, bgo#436756,
    bgo#462740, bgo#486840, bgo#497964, bgo#498228, bgo#499697,
    bgo#502497, bgo#503440, bgo#503930, bgo#506928, bgo#508138,
    bgo#509762, bgo#511274, bgo#496731, bgo#496761, and
    bgo#500763
  + API additions
  * New GstVideoFormat API and helper functions in libgstvideo
  * gst_base_audio_sink_set_provide_clock()
  * gst_base_audio_sink_get_provide_clock()
  * gst_base_audio_sink_set_slave_method()
  * gst_base_audio_sink_get_slave_method()
  * gst_base_audio_src_set_provide_clock()
  * gst_base_audio_src_get_provide_clock()
- Build with -fno-strict-aliasing.
* Fri Jan 25 2008 sbrabec@suse.cz
- Renamed shared library bundle to libgstinterfaces-0_10-0.
* Tue Jan 22 2008 sbrabec@suse.cz
- Updated to version 0.10.15:
  * RTP/RTSP/RTCP/SDP support improved
  * New FFT support library libgstfft, based on Kiss FFT
  * New formats supported in volume and audiotestsrc
  * Fixes in audiorate and videorate
  * Audio capture fixes
  * Playbin and decodebin fixes
  * New tagdemux base class for ID3/APE style tag readers
  * Fix a nasty crash in the X sinks on shutdown
  * New tags supported
  * Add support for multichannel WAV files.
  * Preserve channel layout information when up/down-mixing.
  * Many bug-fixes and improvements
  * API additions
- Split package according to shared library packaging policy
  (#223286).
- Created lang package.
* Tue Oct 16 2007 sbrabec@suse.cz
- Removed unneeded backslash expansion in previous change.
* Mon Oct 15 2007 sbrabec@suse.cz
- Worked around OBS spec file corruption bug (#332132).
* Fri Oct  5 2007 sbrabec@suse.cz
- Use less restrictive Requires based on the sources.
* Mon Sep 17 2007 sbrabec@suse.cz
- Updated to version 0.10.14:
  * Audio dither and noise-shaping when reducing bit-depth
  * RTSP and SDP helper libraries added
  * Experimental buffering element "queue2" now supports pull-mode
    and file-based buffering.
  * Support for more 32-bit video pixel layouts
  * Various fixes and improvements
  * RTSP and SDP libraries added
  * gst_rtsp_base64_decode_ip
  * Add buffer clipping function gst_audio_buffer_clip for raw audio
    buffers.
  * gst_mixer_get_mixer_flags
  * gst_mixer_message_parse_mute_toggled
  * gst_mixer_message_parse_record_toggled
  * gst_mixer_message_parse_volume_changed
  * gst_mixer_message_parse_option_changed
  * GstMixerMessageType
  * GstMixerFlags
  * many bug fixes
* Mon Aug 20 2007 abockover@suse.de
- Use %%{_prefix}/lib for opensuse-codecs-installer (BNC #301883)
* Fri Aug 17 2007 abockover@suse.de
- Added Recommends opensuse-codecs-installer
* Thu Aug 16 2007 abockover@suse.de
- Removed gst-install-plugins-helper foo - it is now split out
  into a separate package
- Configure GStreamer to use opensuse-codecs-installer
* Tue Aug  7 2007 abockover@suse.de
- gst-install-plugins-helper: use xdg-open instead of gnome-open;
  added function to check connectivity status; open an offline
  page if not connected; go to online webapp otherwise
- Added an offline web page with some basic information and a link
  to the online webapp at software.opensuse.org
- Fixed typo in spec file
* Fri Aug  3 2007 abockover@suse.de
- Added a basic gst-install-plugins-helper script for GStreamer
  to launch when codecs are missing and application suspport the
  new installation framework hooks. Fate #302459
* Wed Jun 20 2007 sbrabec@suse.cz
- Updated to version 0.10.13:
  * Many fixes and improvements
  * RTP and RTCP support improved
  * Many API additions
* Wed May 16 2007 sbrabec@suse.cz
- Use Supplements instead of not yet supported Enhances.
* Thu Apr 19 2007 schwab@suse.de
- Fix quoting in autoconf macros.
* Tue Mar 27 2007 sbrabec@suse.cz
- Updated to version 0.10.12:
  * New API for on-demand plugin installation
  * API additions
  * Xv thread-safety and configuration enhancements
  * decodebin2 improvements
  * Support more raw audio format conversions
  * Improvements in Ogg support
  * AudioFilter base class ported to 0.10
  * Fixes for subtitles
  * Latency/live-playback support for Alsa
  * Lots of bug fixes and improvements
* Tue Feb 13 2007 sbrabec@suse.cz
- Do not build unusable static libraries (#238552#c17).
* Tue Dec 19 2006 sbrabec@suse.cz
- Merged back oil and visual subpackages (#223286).
* Mon Dec 18 2006 sbrabec@suse.cz
- Prefix changed to /usr.
- Spec file cleanup.
* Tue Nov  7 2006 abockover@suse.de
- Updated to version 0.10.10
  * Scores of bug fixes
  * Subtitle fixes
  * Support for images in tags
  * Playback improvements
  * Gnomevfssrc supports burn:// URIs
  * Video scale supports more RGBA formats
  * New elements: gdppay, gdpdepay
* Fri Jun 16 2006 sbrabec@suse.cz
- Updated to version
  * many bug-fixes
  * QoS in sinks and transform elements
  * Needs GStreamer 0.10.5 for new GstBaseSink::async_playback()
  * added theoraparse element
  * typefind improvements
  * Ice-cast metadata support has moved from gnomevfssrc to the
    icydemux element in gst-plugins-good
  * audioresample now supports floating point samples
  * Fixes for network playback and audio resampling in playbin
* Sat Apr  8 2006 jpr@suse.de
- Split out libvisual dependent plugin/app into a separate package
* Fri Apr  7 2006 jpr@suse.de
- Split out oil dependent plugins into a separate package
* Fri Mar 24 2006 jpr@suse.de
- Update to version 0.10.5
- Changes since 0.10.4:
  * 334216 : [gnomevfssrc] won't open some media on NFS mounts any longer
  * 334226 : typefindfunctions plugin crashes on PPC on registration
* Mon Mar 20 2006 schwab@suse.de
- Fix uninitialized pointer.
* Fri Mar 10 2006 jpr@suse.de
- update to version 0.10.4
- Changes since 0.10.3:
  * (Experimental) QoS support
  * oggmuxer now creates 100%% valid streams for Theora, Vorbis and Speex
  * documentation updates
  * better support for subtitles (seeking)
  Bugs fixed since 0.10.3:
  * 310202 : [subtitles] < i >  < /i > tags and others should be supported i...
  * 312439 : XVideo output doesn't work on remote displays (probably r...
  * 321271 : audio output is truncated at EOS
  * 321650 : Can't decode this ogm file
  * 325732 : [oggdemux] problem when seeking to time less than 4s with...
  * 325972 : [typefinding] doesn't recognise this mp3
  * 326720 : [alsasink] doesn't support more than 2 channels anymore
  * 330711 : [ffmpegcolorspace] problems with palettized RGB (fencount...
  * 330789 : gstbaseaudiosink causes noise on seeking
  * 330888 : Fix build with gcc 2.95 (again)
  * 331295 : gnomevfssink doesn't respect umask when creating files
  * 331526 : 3GP type detection is too simple
  * 331678 : Decodebin is not reusable within a single pipeline (as in...
  * 331690 : playbin won't play my last.fm stream
  * 331763 : [alsamixer] unmute sets the volume to 100%%
  * 331765 : [alsamixer] mixer applet slider doesn't want to move from...
  * 331903 : [videorate] doesnt handle input caps of framerate=0/1 sanely
  * 332778 : [ogmparse] " Already an existing pad " WARNING
  * 332964 : random crashes in mp3_type_find
  * 333254 : theora encoder does not set IN_CAPS flag properly
  * 333352 : [gnomevfssink] reports disk full as generic error
  * 333488 : Allow for palette < 256 colours in AVI files
  * 333510 : [PATCH] Fix gst_pad_new_from_template (gst_static_pad_tem...
  * 333545 : [riff] set depth on wma caps to make asfdemux and pitfdll...
  * 333663 : [patch] unref the result of gst_pad_get_parent
  * 333900 : [typefind] cannot play a particular mp3 file
  * 334112 : variable not initialized
  * 334129 : Disable frame dropping for now
  * 317038 : use default channel layout if none is specified in multic...
  * 319340 : [cdparanoia] uncorrected-error signal never fired
* Thu Feb 23 2006 jpr@suse.de
- update to version 0.10.3
- Changes since 0.10.2:
  * typefind improvements
  * Ogg decoding and encoding fixes
  * Improved audio and video sink classes
  * Bug and leak fixes
  * Improved video scaling
  * On-the-fly visualisation switching
  * Subtitle support
  Bugs fixed since 0.10.2:
  * 330244 : gsttextoverlay.c:895: 'struct _GstCollectData' has no mem...
  * 324000 : [playbin] post error or message on unknown input
  * 153004 : [typefind] can't identify mp3 file with one single mpeg f...
  * 323874 : [playbin] leaks sinks and threads when using gconfaudiosink
  * 324626 : ffmpegcolorspace support for fourcc " UYVY "
  * 326447 : check that all elements in -base pass queries they can't ...
  * 328263 : Fix build with gcc 2.95
  * 328279 : [decodebin] timeout issue when pre-rolling
  * 329326 : Fix oggmux removing pads from collect pads
* Thu Feb 23 2006 danw@suse.de
- remove dependency on gamin, which is no longer needed (related
  to #128037)
* Tue Feb 14 2006 sbrabec@suse.cz
- Fixed Requires.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 18 2006 sbrabec@suse.cz
- Updated to version 0.10.2.
* Wed Jan  4 2006 sbrabec@suse.cz
- Force-enabled unstable cdparanoia plugin.
* Wed Jan  4 2006 sbrabec@suse.cz
- New SuSE package, version 0.10.1.
